- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# cloud_init_data_facts – Retrieve facts of cloud-init

New in version 2.6.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Gathers facts by reading the status.json and result.json of cloud-init.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
filter - | Choices: status result | Filter facts

## Notes

Note

- See http://cloudinit.readthedocs.io/ for more information about cloud-init.

## Examples

    - name: Gather all facts of cloud init
      cloud_init_data_facts:
      register: result

    - debug:
        var: result

    - name: Wait for cloud init to finish
      cloud_init_data_facts:
        filter: status
      register: res
      until: "res.cloud_init_data_facts.status.v1.stage is defined and not res.cloud_init_data_facts.status.v1.stage"
      retries: 50
      delay: 5

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
cloud_init_data_facts dictionary | success | Facts of result and status. Sample: { "status": { "v1": { "datasource": "DataSourceCloudStack", "errors": [] }, "result": { "v1": { "datasource": "DataSourceCloudStack", "init": { "errors": [], "finished": 1522066377.0185432, "start": 1522066375.2648022 }, "init-local": { "errors": [], "finished": 1522066373.70919, "start": 1522066373.4726632 }, "modules-config": { "errors": [], "finished": 1522066380.9097016, "start": 1522066379.0011985 }, "modules-final": { "errors": [], "finished": 1522066383.56594, "start": 1522066382.3449218 }, "stage": null } }

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- René Moser (@resmo)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.